type t

val initial : t

val set_b : t -> t
val clr_b : t -> t
val b_set : t -> bool

val set_em : t -> int -> t
val get_em : t -> int

val set_i : t -> t
val clr_i : t -> t
val i_set : t -> bool

val set_tt : t -> t
val clr_tt : t -> t
val tt_set : t -> bool

val get_u : t -> int
val inc_u : t -> t
val dec_u : t -> t

val set_sz : t -> int -> t
val get_sz : t -> int

val set_cl : t -> char -> t
val get_cl : t -> char

val apply_pl : t -> t
val apply_tag : t -> Tag.t -> t

val print : Format.formatter -> t -> unit
val print_std : t -> unit

val space_context : t -> t










